namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "shell_smash")]
public class ShellSmash : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        EventBatchId eventBatchId = new();
        move.User.ChangeStatBoost(Statistic.Attack, 2, true, false, eventBatchId);
        move.User.ChangeStatBoost(Statistic.SpecialAttack, 2, true, false, eventBatchId);
        move.User.ChangeStatBoost(Statistic.Speed, 2, true, false, eventBatchId);
        eventBatchId = new EventBatchId();
        move.User.ChangeStatBoost(Statistic.Defense, -1, true, false, eventBatchId);
        move.User.ChangeStatBoost(Statistic.SpecialDefense, -1, true, false, eventBatchId);
    }
}